Summary: A printer configuration tool with a graphical user interface.
Name: printtool
Version: 3.42
Release: 4
Copyright: GPL
Group: Applications/Publishing
Source: printtool-%{PACKAGE_VERSION}.tar.gz
Source1: printtool.exe
Source2: printtool.ja
Patch: printtool-en.patch
Patch1: printtool-3.29-use_master_filter.patch
Requires: ghostscript tcl tk control-panel rhs-printfilters >= 1.50 lpr >= 0.16
BuildArchitectures: noarch
BuildRoot: /var/tmp/printtool-root

Summary(ja): ե桼󥿥եץġ

%description
The printtool is a printer configuration tool with a graphical user
interface.  Printtool can manage both local and remote printers,
including Windows (SMB) and NetWare (NCP) printers.

Printtool should be installed so that you can manage local and remote
printers.

%description -l ja
printtool ϥե桼󥿡եѤư򤹤
ġǤprinttool Ǥϥץ󥿤 Windows (SMB)Netware (NCP)
ޤ⡼ȥץ󥿤򰷤ȤǤޤ

printtool ϥȥ⡼ȥץ󥿤Ǥ褦ˤ뤿
󥹥ȡ뤹٤Ǥ

%prep
%setup -q -n printtool
%patch -p0

# make sane use of the master filter
%patch1 -p1 -b .use_master_filter

%build
make
mv printtool printtool.en
cp $RPM_SOURCE_DIR/printtool.exe printtool
cp $RPM_SOURCE_DIR/printtool.ja .

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/rhs/control-panel}

make	PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLBIN="install -m0755" INSTALLDATA="install -m0644" \
	install
install -m0755 printtool.en $RPM_BUILD_ROOT/usr/bin
install -m0755 printtool.ja $RPM_BUILD_ROOT/usr/bin

install printtool.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/printtool

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES
/usr/bin/printtool
/usr/bin/printtool.en
/usr/bin/printtool.ja
/usr/lib/rhs/control-panel/printtool.init
/usr/lib/rhs/control-panel/printtool.xpm
%attr(0600,root,root)	%config(missingok) /etc/X11/wmconfig/printtool

%changelog
* Wed Sep 19 2001 Crutcher Dunnavnt <crutcher@redhat.com> 3.44-2
- make sane use of the master filter

* Mon Mar 27 2000 Chris Ding <cding@redhat.com>
- let printtool.ja use printerdb.ja

* Wed Mar 22 2000 Chris Ding <cding@redhat.com>
- removed Group(ja). Group name won't be in Japanese.

* Mon Mar 13 2000 Matt Wilson <msw@redhat.com>
- rebuilt for 6.2

* Sun Jan  9 2000 Chris Ding <cding@redhat.com>
- rebuild for 6.1J revised edition

* Fri Oct 29 1999 Norihito Ohmori <ohmori@flatout.org>
- duplex printing bug fix - default is nothing.
- Japanese Translation bug fix.
- change using vine-printfilters
- Japanese Text (EUC, JIS, SJIS) Test Print Support
- Turn off default value of direct Text print
- ADHOC Support for $LANG (by Daisuke Suzuki)
- Japanize (by Norihito Ohmori and Daisuke Suzuki)

* Tue Oct  5 1999 Bill Nottingham <notting@redhat.com>
- fix printer port detection

* Tue Aug 24 1999 Bill Nottingham <notting@redhat.com>
- don't put spaces in a spool directory

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- add ignore stuff

* Mon Aug  7 1999 Bill Nottingham <notting@redhat.com>
- should require ghostscript

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- text changes

* Mon Feb  9 1999 Bill Nottingham <notting@redhat.com>
- uniprint support, courtesy Osamu Aoki

* Mon Dec 28 1998 Bill Nottingham <notting@redhat.com>
- ditto

* Tue Dec  8 1998 Bill Nottingham <notting@redhat.com>
- oops. fix SMB printers, again

* Wed Nov 18 1998 Bill Nottingham <notting@redhat.com>
- add workgroup field for SMB printers

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- fix typo

* Thu Sep  9 1998 Bill Nottingham <notting@redhat.com>
- fix description

* Thu Sep  2 1998 Bill Nottingham <notting@redhat.com>
- added NCP support

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- /etc/rc.d/init.d/lpd.init is now just lpd. (problem #768)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Nov 26 1997 Michael Fulbright <msf@redhat.com>
- fixed to print warning if smbclient not installed

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>
- added wmconfig

* Wed Nov  5 1997 Michael Fulbright <msf@redhat.com>
- fixed add/edit printer boxes with new packing cause old one broke bad

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- put nice new xpm icon in place
- fixed up help titles
- corrected lots of misspellings

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Tue Apr 22 1997 Michael Fulbright <msf@redhat.com>
- Moved to version 3.2.
- Fixed problem with EXTRA_GS_OPIONS

* Fri Mar 12 1997 Michael Fulbright <msf@redhat.com>
- Moved up to version 3.1.
- Added support for mpage - allows nup printing and adjustable margins.
- Simplified configuraion for stair-stepped text and sending EOF.
- Fixed PS filter to send a '\004' instead of a '\014' as EOF character.

* Wed Mar 12 1997 Michael Fulbright <msf@redhat.com>
- Added A4 paper test page support. 

* Fri Mar  7 1997 Michael Fulbright <msf@redhat.com>
- Split print filters off into rh-printfilters package.
- Removed some undesirable debug messages.

* Fri Feb 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed a 'sh -x' left in head of smbprint script
